Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.tools.common
Class ToolConstants

    java.lang.Object
      org.apache.cxf.tools.common.ToolConstants

    public final class ToolConstants

extends Object

Field Summary
`static String` | `AEGIS_DATABINDING`
`static String` | `ANT_GENERATOR`
`static String` | `ASYNC_METHOD_SUFFIX`
`static String` | `BINDING_GENERATOR`
`static String` | `CFG_ADDRESS`
`static String` | `CFG_ALL`
`static String` | `CFG_ALLOW_ELEMENT_REFS`
`static String` | `CFG_ANT`
`static String` | `CFG_ANT_PROP`
`static String` | `CFG_ASYNCMETHODS`
`static String` | `CFG_AUTORESOLVE`
`static String` | `CFG_BAREMETHODS`
`static String` | `CFG_BEAN_CONFIG` Tools permit caller to pass in additional bean definitions.
`static String` | `CFG_BINDING`
`static String` | `CFG_BINDING_ATTR`
`static String` | `CFG_CATALOG`
`static String` | `CFG_CLASSDIR`
`static String` | `CFG_CLASSNAME`
`static String` | `CFG_CLASSPATH`
`static String` | `CFG_CLIENT`
`static String` | `CFG_CMD_ARG`
`static String` | `CFG_COMPILE`
`static String` | `CFG_CREATE_XSD_IMPORTS`
`static String` | `CFG_DATABINDING`
`static String` | `CFG_DEEP`
`static String` | `CFG_DEFAULT_EX`
`static String` | `CFG_DEFAULT_NS`
`static String` | `CFG_DEFAULT_VALUES`
`static String` | `CFG_EXCEPTION_SUPER`
`static String` | `CFG_EXTRA_SOAPHEADER`
`static String` | `CFG_FAULT_SERIAL_VERSION_UID`
`static String` | `CFG_FRONTEND` Front-end selection command-line option to java2ws.
`static String` | `CFG_GEN_ANT`
`static String` | `CFG_GEN_CLIENT`
`static String` | `CFG_GEN_FAULT`
`static String` | `CFG_GEN_IMPL`
`static String` | `CFG_GEN_NEW_ONLY`
`static String` | `CFG_GEN_OVERWRITE`
`static String` | `CFG_GEN_SEI`
`static String` | `CFG_GEN_SERVER`
`static String` | `CFG_GEN_SERVICE`
`static String` | `CFG_GEN_TYPES`
`static String` | `CFG_IMPL`
`static String` | `CFG_IMPL_CLASS`
`static String` | `CFG_INSTALL_DIR`
`static String` | `CFG_INTERFACE`
`static String` | `CFG_JAVASCRIPT_UTILS`
`static String` | `CFG_JSPACKAGEPREFIX`
`static String` | `CFG_JSPREFIXMAP`
`static String` | `CFG_LIB_REF`
`static String` | `CFG_MARK_GENERATED`
`static String` | `CFG_MIMEMETHODS`
`static String` | `CFG_NAME`
`static String` | `CFG_NAMESPACE`
`static String` | `CFG_NEXCLUDE`
`static String` | `CFG_NIGNOREEXCLUDE`
`static String` | `CFG_NINCLUDE`
`static String` | `CFG_NO_ADDRESS_BINDING`
`static String` | `CFG_NO_TYPES`
`static String` | `CFG_OUTPUTDIR`
`static String` | `CFG_OUTPUTFILE`
`static String` | `CFG_PACKAGENAME`
`static String` | `CFG_PLATFORM_VERSION`
`static String` | `CFG_PORT`
`static String` | `CFG_PORTTYPE`
`static String` | `CFG_RESERVE_NAME`
`static String` | `CFG_SCHEMA_DIR`
`static String` | `CFG_SCHEMA_URL`
`static String` | `CFG_SCHEMANS`
`static String` | `CFG_SERVER`
`static String` | `CFG_SERVICE`
`static String` | `CFG_SERVICENAME`
`static String` | `CFG_SOAP12`
`static String` | `CFG_SOURCEDIR`
`static String` | `CFG_STYLE`
`static String` | `CFG_SUPPRESS_GEN`
`static String` | `CFG_SUPPRESS_WARNINGS`
`static String` | `CFG_TNS`
`static String` | `CFG_TRANSPORT`
`static String` | `CFG_TYPES`
`static String` | `CFG_USE`
`static String` | `CFG_USETYPES`
`static String` | `CFG_VALIDATE_WSDL`
`static String` | `CFG_VERBOSE`
`static String` | `CFG_WEBSERVICE`
`static String` | `CFG_WRAPPERBEAN`
`static String` | `CFG_WSDL`
`static String` | `CFG_WSDL_VERSION`
`static String` | `CFG_WSDLLIST`
`static String` | `CFG_WSDLLOCATION`
`static String` | `CFG_WSDLURL`
`static String` | `CFG_XJC_ARGS`
`static String` | `CFG_XSDURL`
`static String` | `CLIENT_CLASS`
`static String` | `CLT_GENERATOR`
`static String` | `CXF_SCHEMA_DIR`
`static String` | `CXF_SCHEMAS_DIR_INJAR`
`static String` | `DATABIND_BEAN_NAME_SUFFIX`
`static String` | `DATABINDING_PLUGIN`
`static String` | `DEFAULT_ADDRESS`
`static String` | `DEFAULT_DATA_BINDING_NAME`
`static String` | `DEFAULT_PACKAGE_NAME`
`static String` | `DEFAULT_TEMP_DIR`
`static String` | `FAULT_GENERATOR`
`static String` | `FRONTEND_PLUGIN`
`static String` | `GEN_FROM_SEI`
`static String` | `HANDLER_CHAIN`
`static String` | `HANDLER_CHAINS`
`static String` | `HANDLER_CHAINS_URI`
`static String` | `HANDLER_GENERATOR`
`static String` | `IMPL_CLASS`
`static String` | `IMPL_GENERATOR`
`static String` | `IMPORTED_DEFINITION`
`static String` | `IMPORTED_PORTTYPE`
`static String` | `IMPORTED_SERVICE`
`static QName` | `JAXB_BINDINGS`
`static String` | `JAXB_DATABINDING`
`static String` | `JAXWS_BINDING_NODE`
`static String` | `JAXWS_BINDING_VERSION`
`static QName` | `JAXWS_BINDINGS`
`static String` | `JAXWS_BINDINGS_WSDL_LOCATION`
`static String` | `JAXWS_FRONTEND`
`static QName` | `JBI_ADDRESS`
`static String` | `JMS_ADDR_DEST_STYLE`
`static String` | `JMS_ADDR_INIT_CTX`
`static String` | `JMS_ADDR_JNDI_DEST`
`static String` | `JMS_ADDR_JNDI_FAC`
`static String` | `JMS_ADDR_JNDI_URL`
`static String` | `JMS_ADDR_MSG_TYPE`
`static String` | `JMS_ADDR_MSGID_TO_CORRID`
`static String` | `JMS_ADDR_SUBSCRIBER_NAME`
`static QName` | `JMS_ADDRESS`
`static String` | `NS_JAXB_BINDINGS`
`static String` | `NS_JAXWS_BINDINGS`
`static String` | `NS_JBI_ADDRESS`
`static String` | `NS_JMS_ADDRESS`
`static String` | `NS_XML_FORMAT`
`static String` | `NS_XML_HTTP`
`static String` | `PORT_NAME`
`static String` | `PORTTYPE_MAP`
`static String` | `RUNTIME_DATABINDING_CLASS`
`static String` | `SCHEMA_TARGET_NAMESPACES`
`static String` | `SCHEMA_URI`
`static String` | `SEI_CLASS`
`static String` | `SEI_GENERATOR`
`static String` | `SERVER_CLASS`
`static String` | `SERVICE_GENERATOR`
`static String` | `SERVICE_LIST`
`static String` | `SERVICE_NAME`
`static String` | `SIMPLE_FRONTEND`
`static String` | `SVR_GENERATOR`
`static String` | `TOOLSPECS_BASE`
`static String` | `TYPE_GENERATOR`
`static String` | `WSA_NAMESPACE_URI`
`static String` | `WSDL_DEFINITION`
`static String` | `WSDL_NAMESPACE_URI`
`static QName` | `XML_BINDING_FORMAT`
`static QName` | `XML_FORMAT`
`static String` | `XML_FORMAT_PREFIX`
`static QName` | `XML_HTTP_ADDRESS`
`static String` | `XML_HTTP_PREFIX`
`static String` | `XML_NAMESPACE_URI`
`static String` | `XML_SCHEMA_COLLECTION`
`static String` | `XMLBINDING_HTTP_LOCATION`
`static String` | `XMLBINDING_ROOTNODE`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOOLSPECS_BASE

    public static final String TOOLSPECS_BASE

See Also:
  Constant Field Values

### SCHEMA_URI

    public static final String SCHEMA_URI

See Also:
  Constant Field Values

### XML_NAMESPACE_URI

    public static final String XML_NAMESPACE_URI

See Also:
  Constant Field Values

### WSDL_NAMESPACE_URI

    public static final String WSDL_NAMESPACE_URI

See Also:
  Constant Field Values

### WSA_NAMESPACE_URI

    public static final String WSA_NAMESPACE_URI

See Also:
  Constant Field Values

### CFG_BEAN_CONFIG

    public static final String CFG_BEAN_CONFIG

  Tools permit caller to pass in additional bean definitions.

  See Also:
    Constant Field Values

### DEFAULT_TEMP_DIR

    public static final String DEFAULT_TEMP_DIR

See Also:
  Constant Field Values

### CFG_OUTPUTDIR

    public static final String CFG_OUTPUTDIR

See Also:
  Constant Field Values

### CFG_OUTPUTFILE

    public static final String CFG_OUTPUTFILE

See Also:
  Constant Field Values

### CFG_WSDLURL

    public static final String CFG_WSDLURL

See Also:
  Constant Field Values

### CFG_WSDLLOCATION

    public static final String CFG_WSDLLOCATION

See Also:
  Constant Field Values

### CFG_WSDLLIST

    public static final String CFG_WSDLLIST

See Also:
  Constant Field Values

### CFG_NAMESPACE

    public static final String CFG_NAMESPACE

See Also:
  Constant Field Values

### CFG_VERBOSE

    public static final String CFG_VERBOSE

See Also:
  Constant Field Values

### CFG_PORT

    public static final String CFG_PORT

See Also:
  Constant Field Values

### CFG_BINDING

    public static final String CFG_BINDING

See Also:
  Constant Field Values

### CFG_AUTORESOLVE

    public static final String CFG_AUTORESOLVE

See Also:
  Constant Field Values

### CFG_WEBSERVICE

    public static final String CFG_WEBSERVICE

See Also:
  Constant Field Values

### CFG_SERVER

    public static final String CFG_SERVER

See Also:
  Constant Field Values

### CFG_CLIENT

    public static final String CFG_CLIENT

See Also:
  Constant Field Values

### CFG_ALL

    public static final String CFG_ALL

See Also:
  Constant Field Values

### CFG_IMPL

    public static final String CFG_IMPL

See Also:
  Constant Field Values

### CFG_PACKAGENAME

    public static final String CFG_PACKAGENAME

See Also:
  Constant Field Values

### CFG_JSPACKAGEPREFIX

    public static final String CFG_JSPACKAGEPREFIX

See Also:
  Constant Field Values

### CFG_NINCLUDE

    public static final String CFG_NINCLUDE

See Also:
  Constant Field Values

### CFG_NEXCLUDE

    public static final String CFG_NEXCLUDE

See Also:
  Constant Field Values

### CFG_CMD_ARG

    public static final String CFG_CMD_ARG

See Also:
  Constant Field Values

### CFG_INSTALL_DIR

    public static final String CFG_INSTALL_DIR

See Also:
  Constant Field Values

### CFG_PLATFORM_VERSION

    public static final String CFG_PLATFORM_VERSION

See Also:
  Constant Field Values

### CFG_COMPILE

    public static final String CFG_COMPILE

See Also:
  Constant Field Values

### CFG_CLASSDIR

    public static final String CFG_CLASSDIR

See Also:
  Constant Field Values

### CFG_EXTRA_SOAPHEADER

    public static final String CFG_EXTRA_SOAPHEADER

See Also:
  Constant Field Values

### CFG_DEFAULT_NS

    public static final String CFG_DEFAULT_NS

See Also:
  Constant Field Values

### CFG_DEFAULT_EX

    public static final String CFG_DEFAULT_EX

See Also:
  Constant Field Values

### CFG_NO_TYPES

    public static final String CFG_NO_TYPES

See Also:
  Constant Field Values

### CFG_XJC_ARGS

    public static final String CFG_XJC_ARGS

See Also:
  Constant Field Values

### CFG_CATALOG

    public static final String CFG_CATALOG

See Also:
  Constant Field Values

### CFG_BAREMETHODS

    public static final String CFG_BAREMETHODS

See Also:
  Constant Field Values

### CFG_ASYNCMETHODS

    public static final String CFG_ASYNCMETHODS

See Also:
  Constant Field Values

### CFG_MIMEMETHODS

    public static final String CFG_MIMEMETHODS

See Also:
  Constant Field Values

### CFG_DEFAULT_VALUES

    public static final String CFG_DEFAULT_VALUES

See Also:
  Constant Field Values

### CFG_JAVASCRIPT_UTILS

    public static final String CFG_JAVASCRIPT_UTILS

See Also:
  Constant Field Values

### CFG_VALIDATE_WSDL

    public static final String CFG_VALIDATE_WSDL

See Also:
  Constant Field Values

### CFG_CREATE_XSD_IMPORTS

    public static final String CFG_CREATE_XSD_IMPORTS

See Also:
  Constant Field Values

### CFG_FRONTEND

    public static final String CFG_FRONTEND

  Front-end selection command-line option to java2ws.

  See Also:
    Constant Field Values

### CFG_DATABINDING

    public static final String CFG_DATABINDING

See Also:
  Constant Field Values

### DEFAULT_ADDRESS

    public static final String DEFAULT_ADDRESS

See Also:
  Constant Field Values

### CFG_TYPES

    public static final String CFG_TYPES

See Also:
  Constant Field Values

### CFG_INTERFACE

    public static final String CFG_INTERFACE

See Also:
  Constant Field Values

### CFG_NIGNOREEXCLUDE

    public static final String CFG_NIGNOREEXCLUDE

See Also:
  Constant Field Values

### CFG_ANT

    public static final String CFG_ANT

See Also:
  Constant Field Values

### CFG_LIB_REF

    public static final String CFG_LIB_REF

See Also:
  Constant Field Values

### CFG_ANT_PROP

    public static final String CFG_ANT_PROP

See Also:
  Constant Field Values

### CFG_NO_ADDRESS_BINDING

    public static final String CFG_NO_ADDRESS_BINDING

See Also:
  Constant Field Values

### CFG_ALLOW_ELEMENT_REFS

    public static final String CFG_ALLOW_ELEMENT_REFS

See Also:
  Constant Field Values

### CFG_RESERVE_NAME

    public static final String CFG_RESERVE_NAME

See Also:
  Constant Field Values

### CFG_FAULT_SERIAL_VERSION_UID

    public static final String CFG_FAULT_SERIAL_VERSION_UID

See Also:
  Constant Field Values

### CFG_EXCEPTION_SUPER

    public static final String CFG_EXCEPTION_SUPER

See Also:
  Constant Field Values

### CFG_MARK_GENERATED

    public static final String CFG_MARK_GENERATED

See Also:
  Constant Field Values

### CFG_IMPL_CLASS

    public static final String CFG_IMPL_CLASS

See Also:
  Constant Field Values

### CFG_GEN_CLIENT

    public static final String CFG_GEN_CLIENT

See Also:
  Constant Field Values

### CFG_GEN_SERVER

    public static final String CFG_GEN_SERVER

See Also:
  Constant Field Values

### CFG_GEN_IMPL

    public static final String CFG_GEN_IMPL

See Also:
  Constant Field Values

### CFG_GEN_TYPES

    public static final String CFG_GEN_TYPES

See Also:
  Constant Field Values

### CFG_GEN_SEI

    public static final String CFG_GEN_SEI

See Also:
  Constant Field Values

### CFG_GEN_ANT

    public static final String CFG_GEN_ANT

See Also:
  Constant Field Values

### CFG_GEN_SERVICE

    public static final String CFG_GEN_SERVICE

See Also:
  Constant Field Values

### CFG_GEN_OVERWRITE

    public static final String CFG_GEN_OVERWRITE

See Also:
  Constant Field Values

### CFG_GEN_FAULT

    public static final String CFG_GEN_FAULT

See Also:
  Constant Field Values

### CFG_GEN_NEW_ONLY

    public static final String CFG_GEN_NEW_ONLY

See Also:
  Constant Field Values

### CFG_CLASSPATH

    public static final String CFG_CLASSPATH

See Also:
  Constant Field Values

### CFG_TNS

    public static final String CFG_TNS

See Also:
  Constant Field Values

### CFG_SERVICENAME

    public static final String CFG_SERVICENAME

See Also:
  Constant Field Values

### CFG_SCHEMANS

    public static final String CFG_SCHEMANS

See Also:
  Constant Field Values

### CFG_USETYPES

    public static final String CFG_USETYPES

See Also:
  Constant Field Values

### CFG_CLASSNAME

    public static final String CFG_CLASSNAME

See Also:
  Constant Field Values

### CFG_PORTTYPE

    public static final String CFG_PORTTYPE

See Also:
  Constant Field Values

### CFG_SOURCEDIR

    public static final String CFG_SOURCEDIR

See Also:
  Constant Field Values

### CFG_WSDL

    public static final String CFG_WSDL

See Also:
  Constant Field Values

### CFG_WRAPPERBEAN

    public static final String CFG_WRAPPERBEAN

See Also:
  Constant Field Values

### CFG_ADDRESS

    public static final String CFG_ADDRESS

See Also:
  Constant Field Values

### CFG_TRANSPORT

    public static final String CFG_TRANSPORT

See Also:
  Constant Field Values

### CFG_SERVICE

    public static final String CFG_SERVICE

See Also:
  Constant Field Values

### CFG_BINDING_ATTR

    public static final String CFG_BINDING_ATTR

See Also:
  Constant Field Values

### CFG_SOAP12

    public static final String CFG_SOAP12

See Also:
  Constant Field Values

### CFG_STYLE

    public static final String CFG_STYLE

See Also:
  Constant Field Values

### CFG_USE

    public static final String CFG_USE

See Also:
  Constant Field Values

### CFG_XSDURL

    public static final String CFG_XSDURL

See Also:
  Constant Field Values

### CFG_NAME

    public static final String CFG_NAME

See Also:
  Constant Field Values

### CFG_DEEP

    public static final String CFG_DEEP

See Also:
  Constant Field Values

### CFG_SCHEMA_DIR

    public static final String CFG_SCHEMA_DIR

See Also:
  Constant Field Values

### CFG_SCHEMA_URL

    public static final String CFG_SCHEMA_URL

See Also:
  Constant Field Values

### CXF_SCHEMA_DIR

    public static final String CXF_SCHEMA_DIR

See Also:
  Constant Field Values

### CXF_SCHEMAS_DIR_INJAR

    public static final String CXF_SCHEMAS_DIR_INJAR

See Also:
  Constant Field Values

### CFG_SUPPRESS_WARNINGS

    public static final String CFG_SUPPRESS_WARNINGS

See Also:
  Constant Field Values

### SEI_GENERATOR

    public static final String SEI_GENERATOR

See Also:
  Constant Field Values

### FAULT_GENERATOR

    public static final String FAULT_GENERATOR

See Also:
  Constant Field Values

### TYPE_GENERATOR

    public static final String TYPE_GENERATOR

See Also:
  Constant Field Values

### IMPL_GENERATOR

    public static final String IMPL_GENERATOR

See Also:
  Constant Field Values

### SVR_GENERATOR

    public static final String SVR_GENERATOR

See Also:
  Constant Field Values

### CLT_GENERATOR

    public static final String CLT_GENERATOR

See Also:
  Constant Field Values

### SERVICE_GENERATOR

    public static final String SERVICE_GENERATOR

See Also:
  Constant Field Values

### ANT_GENERATOR

    public static final String ANT_GENERATOR

See Also:
  Constant Field Values

### HANDLER_GENERATOR

    public static final String HANDLER_GENERATOR

See Also:
  Constant Field Values

### NS_JAXWS_BINDINGS

    public static final String NS_JAXWS_BINDINGS

See Also:
  Constant Field Values

### NS_JAXB_BINDINGS

    public static final String NS_JAXB_BINDINGS

See Also:
  Constant Field Values

### JAXWS_BINDINGS

    public static final QName JAXWS_BINDINGS

### JAXB_BINDINGS

    public static final QName JAXB_BINDINGS

### JAXWS_BINDINGS_WSDL_LOCATION

    public static final String JAXWS_BINDINGS_WSDL_LOCATION

See Also:
  Constant Field Values

### JAXWS_BINDING_NODE

    public static final String JAXWS_BINDING_NODE

See Also:
  Constant Field Values

### JAXWS_BINDING_VERSION

    public static final String JAXWS_BINDING_VERSION

See Also:
  Constant Field Values

### ASYNC_METHOD_SUFFIX

    public static final String ASYNC_METHOD_SUFFIX

See Also:
  Constant Field Values

### HANDLER_CHAINS_URI

    public static final String HANDLER_CHAINS_URI

See Also:
  Constant Field Values

### HANDLER_CHAIN

    public static final String HANDLER_CHAIN

See Also:
  Constant Field Values

### HANDLER_CHAINS

    public static final String HANDLER_CHAINS

See Also:
  Constant Field Values

### NS_JMS_ADDRESS

    public static final String NS_JMS_ADDRESS

See Also:
  Constant Field Values

### JMS_ADDRESS

    public static final QName JMS_ADDRESS

### NS_JBI_ADDRESS

    public static final String NS_JBI_ADDRESS

See Also:
  Constant Field Values

### JBI_ADDRESS

    public static final QName JBI_ADDRESS

### JMS_ADDR_DEST_STYLE

    public static final String JMS_ADDR_DEST_STYLE

See Also:
  Constant Field Values

### JMS_ADDR_JNDI_URL

    public static final String JMS_ADDR_JNDI_URL

See Also:
  Constant Field Values

### JMS_ADDR_JNDI_FAC

    public static final String JMS_ADDR_JNDI_FAC

See Also:
  Constant Field Values

### JMS_ADDR_JNDI_DEST

    public static final String JMS_ADDR_JNDI_DEST

See Also:
  Constant Field Values

### JMS_ADDR_MSG_TYPE

    public static final String JMS_ADDR_MSG_TYPE

See Also:
  Constant Field Values

### JMS_ADDR_INIT_CTX

    public static final String JMS_ADDR_INIT_CTX

See Also:
  Constant Field Values

### JMS_ADDR_SUBSCRIBER_NAME

    public static final String JMS_ADDR_SUBSCRIBER_NAME

See Also:
  Constant Field Values

### JMS_ADDR_MSGID_TO_CORRID

    public static final String JMS_ADDR_MSGID_TO_CORRID

See Also:
  Constant Field Values

### XMLBINDING_ROOTNODE

    public static final String XMLBINDING_ROOTNODE

See Also:
  Constant Field Values

### XMLBINDING_HTTP_LOCATION

    public static final String XMLBINDING_HTTP_LOCATION

See Also:
  Constant Field Values

### NS_XML_FORMAT

    public static final String NS_XML_FORMAT

See Also:
  Constant Field Values

### XML_FORMAT_PREFIX

    public static final String XML_FORMAT_PREFIX

See Also:
  Constant Field Values

### NS_XML_HTTP

    public static final String NS_XML_HTTP

See Also:
  Constant Field Values

### XML_HTTP_PREFIX

    public static final String XML_HTTP_PREFIX

See Also:
  Constant Field Values

### XML_HTTP_ADDRESS

    public static final QName XML_HTTP_ADDRESS

### XML_FORMAT

    public static final QName XML_FORMAT

### XML_BINDING_FORMAT

    public static final QName XML_BINDING_FORMAT

### XML_SCHEMA_COLLECTION

    public static final String XML_SCHEMA_COLLECTION

See Also:
  Constant Field Values

### PORTTYPE_MAP

    public static final String PORTTYPE_MAP

See Also:
  Constant Field Values

### SCHEMA_TARGET_NAMESPACES

    public static final String SCHEMA_TARGET_NAMESPACES

See Also:
  Constant Field Values

### WSDL_DEFINITION

    public static final String WSDL_DEFINITION

See Also:
  Constant Field Values

### IMPORTED_DEFINITION

    public static final String IMPORTED_DEFINITION

See Also:
  Constant Field Values

### IMPORTED_PORTTYPE

    public static final String IMPORTED_PORTTYPE

See Also:
  Constant Field Values

### IMPORTED_SERVICE

    public static final String IMPORTED_SERVICE

See Also:
  Constant Field Values

### BINDING_GENERATOR

    public static final String BINDING_GENERATOR

See Also:
  Constant Field Values

### FRONTEND_PLUGIN

    public static final String FRONTEND_PLUGIN

See Also:
  Constant Field Values

### DATABINDING_PLUGIN

    public static final String DATABINDING_PLUGIN

See Also:
  Constant Field Values

### RUNTIME_DATABINDING_CLASS

    public static final String RUNTIME_DATABINDING_CLASS

See Also:
  Constant Field Values

### CFG_WSDL_VERSION

    public static final String CFG_WSDL_VERSION

See Also:
  Constant Field Values

### CFG_SUPPRESS_GEN

    public static final String CFG_SUPPRESS_GEN

See Also:
  Constant Field Values

### DEFAULT_PACKAGE_NAME

    public static final String DEFAULT_PACKAGE_NAME

See Also:
  Constant Field Values

### SERVICE_LIST

    public static final String SERVICE_LIST

See Also:
  Constant Field Values

### GEN_FROM_SEI

    public static final String GEN_FROM_SEI

See Also:
  Constant Field Values

### JAXWS_FRONTEND

    public static final String JAXWS_FRONTEND

See Also:
  Constant Field Values

### SIMPLE_FRONTEND

    public static final String SIMPLE_FRONTEND

See Also:
  Constant Field Values

### JAXB_DATABINDING

    public static final String JAXB_DATABINDING

See Also:
  Constant Field Values

### AEGIS_DATABINDING

    public static final String AEGIS_DATABINDING

See Also:
  Constant Field Values

### SEI_CLASS

    public static final String SEI_CLASS

See Also:
  Constant Field Values

### IMPL_CLASS

    public static final String IMPL_CLASS

See Also:
  Constant Field Values

### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### PORT_NAME

    public static final String PORT_NAME

See Also:
  Constant Field Values

### DEFAULT_DATA_BINDING_NAME

    public static final String DEFAULT_DATA_BINDING_NAME

See Also:
  Constant Field Values

### DATABIND_BEAN_NAME_SUFFIX

    public static final String DATABIND_BEAN_NAME_SUFFIX

See Also:
  Constant Field Values

### CLIENT_CLASS

    public static final String CLIENT_CLASS

See Also:
  Constant Field Values

### SERVER_CLASS

    public static final String SERVER_CLASS

See Also:
  Constant Field Values

### CFG_JSPREFIXMAP

    public static final String CFG_JSPREFIXMAP

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF